com.h3c.sdn.region

## Class RegionModel

- java.lang.Object
- - com.h3c.sdn.AbstractModel<T,UUID>
  - - com.h3c.sdn.Model<Region>
    - - com.h3c.sdn.region.RegionModel

- All Implemented Interfaces:
    Transportable<Region,UUID>, Region, Serializable

      public class RegionModel
      extends Model<Region>
      implements Region

  Default implementation of the Region.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionModel(ControllerNode mst, Set<ControllerNode> slvs, Set<ControlledEntity> devs)`
    `RegionModel(Id<Region,UUID> ud, ControllerNode mst, Set<ControllerNode> slvs, Set<ControlledEntity> devs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ControllerNode` | `master()` Retrieves the controller which is acting as MASTER in this region.
    `Set<ControlledEntity>` | `networkElements()` Retrieves the network elements which are participating in this region.
    `void` | `setDevices(Set<ControlledEntity> devices)`
    `void` | `setMaster(ControllerNode master)`
    `void` | `setSlaves(Set<ControllerNode> slaves)`
    `Set<ControllerNode>` | `slaves()` Retrieves set of controllers which are playing the role of SLAVE in this region.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.sdn.AbstractModel

      `equals, getId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.api.Transportable

      `getId`

- - ### Constructor Detail

    - #### RegionModel

          public RegionModel(ControllerNode mst,
                     Set<ControllerNode> slvs,
                     Set<ControlledEntity> devs)

    - #### RegionModel

          public RegionModel(Id<Region,UUID> ud,
                     ControllerNode mst,
                     Set<ControllerNode> slvs,
                     Set<ControlledEntity> devs)

  - ### Method Detail

    - #### master

          public ControllerNode master()

      Description copied from interface: `Region`
      Retrieves the controller which is acting as MASTER in this region.
      Specified by:
        `master` in interface `Region`
      Returns:
        controller playing the role of MASTER

    - #### slaves

          public Set<ControllerNode> slaves()

      Description copied from interface: `Region`
      Retrieves set of controllers which are playing the role of SLAVE in this region.
      Specified by:
        `slaves` in interface `Region`
      Returns:
        set of controllers playing the role of SLAVE

    - #### networkElements

          public Set<ControlledEntity> networkElements()

      Description copied from interface: `Region`
      Retrieves the network elements which are participating in this region.
      Specified by:
        `networkElements` in interface `Region`
      Returns:
        set of network elements present in this region

    - #### setMaster

          public void setMaster(ControllerNode master)

      Parameters:
        `master` - the master to set

    - #### setSlaves

          public void setSlaves(Set<ControllerNode> slaves)

      Parameters:
        `slaves` - the slaves to set

    - #### setDevices

          public void setDevices(Set<ControlledEntity> devices)

      Parameters:
        `devices` - the devices to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractModel<Region,UUID>`

Copyright © 2014. All Rights Reserved.